> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询币种支持的链

> 根据币种查询支持的链及链上提现配置。

## 概述

本页说明 `GET /v1/pay/wallet/currency_chains` 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

## 说明

* 认证方式使用 GatePay 标准签名请求头。
* 本页展示普通商户接口。
* 通用签名规则请参见 [/api-reference/version/100/cn/common/securityAndSignature](/api-reference/version/100/cn/common/securityAndSignature)。


## OpenAPI

````yaml api-reference/version/100/cn/openapi/withdraw-openapi.json GET /v1/pay/wallet/currency_chains
openapi: 3.1.0
info:
  title: GatePay 提现与钱包 API
  version: 1.0.0
  description: >-
    基于 GatePay 提现与钱包相关文档整理的 OpenAPI 3.1
    规范。涵盖批量提现下单、提现订单查询、币种链查询、账户总额查询以及提现手续费查询等接口。
servers:
  - url: https://openplatform.gateapi.io
    description: 生产环境
security: []
paths:
  /v1/pay/wallet/currency_chains:
    get:
      tags:
        - wallet
      summary: 查询币种支持的链
      description: 根据币种查询支持的链及链上提现配置。
      operationId: getCurrencyChains
      parameters:
        - $ref: '#/components/parameters/X-GatePay-Certificate-ClientId'
        - $ref: '#/components/parameters/X-GatePay-Signature'
        - $ref: '#/components/parameters/X-GatePay-Timestamp'
        - $ref: '#/components/parameters/X-GatePay-Nonce'
        - name: currency
          in: query
          required: true
          schema:
            type: string
          description: 币种名称，例如 USDT、BTC 等。
      responses:
        '200':
          description: 币种支持的链列表
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CurrencyChain'
              examples:
                eth:
                  summary: ETH 链示例
                  value:
                    - chain: ETH
                      name_cn: 以太坊ERC20
                      name_en: ETH/ERC20
                      contract_address: ''
                      is_disabled: 0
                      is_deposit_disabled: 0
                      is_withdraw_disabled: 0
components:
  parameters:
    X-GatePay-Certificate-ClientId:
      name: X-GatePay-Certificate-ClientId
      in: header
      required: true
      description: 商户客户端ID，在 GatePay 平台申请获得
      schema:
        type: string
        example: 4186d0c6-6a35-55a9-8dc6-5312769dbff8
    X-GatePay-Signature:
      name: X-GatePay-Signature
      in: header
      required: true
      description: HMAC-SHA256签名，用于验证请求合法性
      schema:
        type: string
        example: >-
          672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77
    X-GatePay-Timestamp:
      name: X-GatePay-Timestamp
      in: header
      required: true
      description: 时间戳（毫秒），与服务器时间差不能超过5分钟
      schema:
        type: string
        example: '1672905655498'
    X-GatePay-Nonce:
      name: X-GatePay-Nonce
      in: header
      required: true
      description: 随机数，用于防止重放攻击
      schema:
        type: string
        example: '3525756760'
  schemas:
    CurrencyChain:
      type: object
      description: 币种支持的链信息。
      properties:
        chain:
          type: string
          description: 区块链网络名称，例如 ERC20、TRC20、BEP20 等。
        name_cn:
          type: string
          description: 区块链网络中文名称（如 以太坊、波场等）。
        name_en:
          type: string
          description: 区块链网络英文名称（如Ethereum、Tron等）。
        contract_address:
          type: string
          description: 币种智能合约地址（原生币如 BTC、ETH 主网币为空字符串）。
        is_disabled:
          type: integer
          description: 全局禁用状态：0-启用，1-禁用。
        is_deposit_disabled:
          type: integer
          description: 充值功能状态：0-启用，1-禁用。
        is_withdraw_disabled:
          type: integer
          description: 提现功能状态：0-启用，1-禁用。
        decimal:
          type: string
          description: 提币精度（小数点位数）。

````